{% load cms_tags staticfiles i18n sekizai_tags %}
<!-- Main Sidebar -->
<aside class="main-sidebar col-12 col-md-3 col-lg-2 px-0">
    <div class="main-navbar">
        <nav class="navbar align-items-stretch navbar-light bg-white flex-md-nowrap border-bottom p-0">
            <a class="navbar-brand w-100 mr-0" href="{% url 'visualstudio:edit' page_attriute 'page_slug' %}" style="line-height: 25px;">
                <div class="d-table m-auto">
                    <span class="d-inline ml-1">{% trans "Visual Studio" %}</span>
                </div>
            </a>
            <a class="toggle-sidebar d-sm-inline d-md-none d-lg-none">
                <i class="fas fa-chevron-left"></i>
            </a>
        </nav>
    </div>
    <div class="nav-wrapper">
        <h6 class="main-sidebar__nav-title d-flex align-items-center justify-content-between">
            {% trans "Page" %}
            <a href="{% url 'admin:cms_page_add' %}" class="btn btn-sm btn-default btn-pill d-flex justify-content-end align-items-center">
                <i class="fas fa-plus d-inline-block mr-1"></i> 
                <span class="d-inline d-md-none d-lg-none d-xl-none">{% trans "New page" %}</span>
            </a>
        </h6>
        <ul class="nav nav--no-borders flex-column">
            <li class="nav-item" id="{% page_attribute 'page_slug' %}">
                <a class="nav-link" href="{% url 'visualstudio:edit' page_attriute 'page_slug' %}">
                    <i class="far fa-edit"></i>
                    <span>{% trans "Visual Editor" %}</span>
                </a>
            </li>
            <li class="nav-item" id="page-information">
                <a href="{% url 'visualstudio:information' page_attriute 'page_slug' %}" class="nav-link">
                    <i class="fas fa-info"></i>
                    <span>{% trans "Information" %}</span>
                </a>
            </li>
            <li class="nav-item" id="page-meta">
                <a href="{% url 'visualstudio:meta' page_attriute 'page_slug' %}" class="nav-link">
                    <i class="fab fa-searchengin"></i>
                    <span>{% trans "Meta" %}</span>
                </a>
            </li>
            <li class="nav-item" id="page-settings">
                <a href="{% url 'visualstudio:settings' page_attriute 'page_slug' %}" class="nav-link">
                    <i class="fas fa-sliders-h"></i>
                    <span>{% trans "Settings" %}</span>
                </a>
            </li>
            <li class="nav-item" id="page-template">
                <a href="{% url 'visualstudio:tempates' page_attriute 'page_slug' %}" class="nav-link">
                    <i class="fas fa-palette"></i>
                    <span>{% trans "Templates" %}</span>
                </a>
            </li>
        </ul>
    </div>
</aside>
<!-- End Main Sidebar -->

{% addtoblock "js" %}
<script type="text/javascript">
    $(document).ready(function() {
        $('#{{ active_id }}').addClass("active")
    });
</script>
{% endaddtoblock %}